## halaudiosrc halaudiosrc — Audio source for sound device access via HAL |

## Properties

gchar * | udi | Read / Write

## Types and Values

| GstHalAudioSrc

## Object Hierarchy

        GObject
        ╰── GstObject
            ╰── GstElement
                ╰── GstBin
                    ╰── GstHalAudioSrc

## Implemented Interfaces

GstHalAudioSrc implements GstChildProxy.

## Description

## Synopsis

### Element Information

plugin | halelements
author | Jürg Billeter <j@bitron.ch>
class | Source/Audio

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### GstHalAudioSrc

    typedef struct _GstHalAudioSrc GstHalAudioSrc;

## Property Details

### The `“udi”` property

      “udi”                      gchar *

Unique Device Id.

Flags: Read / Write

Default value: NULL